TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Run get method

POST
/api/v3/runGetMethod

Run a get method for a smart contract. The stack supports only num, cell, and slice types:

[{"type": "num","value": "0x12a"},{"type": "cell","value": "te6..." // base64-encoded BoC with cell},{"type": "slice","value": "te6..." // base64-encoded BoC with slice}]

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v3/runGetMethod" \  -H "Content-Type: application/json" \  -d '{}'
{  "address": "string",  "method": "string",  "stack": [    {      "type": "string",      "value": null    }  ]}